Page MenuHomePhabricator

Implement "Favorites" inspector
Closed, ResolvedPublic

Description

Idea: Allow the user to mark nodes in a session as favorites. All favorites of the data storage are shown in an own inspector. This can be used by the user to quickly select often used nodes.

The "favorite state" should be indicated by a node bool property (org.mitk.selection.favorite). So we just add a predicated checking the property to be true.

Whats needed to do:

  • Inspector that shows all favorite (could be same like simple list inspector)
    • Inspector should also allow to "unfavorite" a node
  • Provider for the inspector
  • Add a "add as favorite" button to the QmitkNodeSelectionDialog

Event Timeline

floca triaged this task as Normal priority.Apr 16 2018, 2:24 PM
floca created this task.
kalali claimed this task.Jan 13 2020, 12:44 PM

Added a class that inherits from QmitkDataStorageListInspector to keep it simple. Favorites are filtered by adding a custom predicate that checks for the suggested org.mitk.selection.favorite-property. This property will be set inside a QmitkNodeSelectionDialog using a third dialog-button.
The inspector can be added to the dialog-button using the preferences-page for the selection concept.

kalali updated the task description. (Show Details)Jan 14 2020, 6:34 PM
kalali added a comment.EditedJan 14 2020, 6:42 PM

Everything works now but I'm not 100% convinced that this is the best way to do it. Will add some remarks using an audit.

kalali closed this task as Resolved.Jan 16 2020, 11:17 AM